For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HomeGuidesAPI Reference
HomeGuidesAPI Reference
  • Reference - Partner API
      • GETGet Capabilities
      • PUTEnable or Disable Payment Method
      • PUTEnable or Disable Cross Border Trade
      • Lending
      • ProductConfiguration
LogoLogo
Reference - Partner APICapabilities

Get Capabilities

GET
/v1/onboardings/:onboardingId/capabilities
GET
/v1/onboardings/:onboardingId/capabilities
$curl https://agencyapi.afterpay.com/v1/onboardings/123abcd-456efgh-1124bd/capabilities \
> -H "Accept: application/json" \
> -H "User-Agent: User-Agent"
1{
2 "onboardingId": "123abcd-456efgh-1124bd",
3 "capabilities": {
4 "payByInstallments": [
5 {
6 "channel": "ONLINE",
7 "enabled": true,
8 "configuration": {
9 "minimumAmount": {
10 "amount": "200",
11 "currency": "USD"
12 },
13 "maximumAmount": {
14 "amount": "4000",
15 "currency": "USD"
16 },
17 "rateDetails": [
18 {
19 "variableRatePercentage": "5.00",
20 "fixedRate": "0.30",
21 "fixedRateCurrencyCode": "USD",
22 "rateType": "ONGOING",
23 "durationInMonths": 1,
24 "effectiveFrom": "2023-09-17T21:41:47.341+00:00"
25 }
26 ]
27 }
28 }
29 ],
30 "lending": [
31 {
32 "channel": "ONLINE",
33 "enabled": true,
34 "configuration": {
35 "minimumAmount": {
36 "amount": "200",
37 "currency": "USD"
38 },
39 "maximumAmount": {
40 "amount": "4000",
41 "currency": "USD"
42 },
43 "rateDetails": [
44 {
45 "variableRatePercentage": "5.00",
46 "fixedRate": "0.30",
47 "fixedRateCurrencyCode": "USD",
48 "rateType": "ONGOING",
49 "durationInMonths": 1,
50 "effectiveFrom": "2023-09-17T21:41:47.341+00:00"
51 }
52 ]
53 }
54 }
55 ],
56 "cbt": [
57 {
58 "channel": "ONLINE",
59 "enabled": true,
60 "currLocEnabled": true,
61 "updatedAt": "string",
62 "errors": "string",
63 "limits": {
64 "minimumAmount": {
65 "amount": "1.00",
66 "currency": "GBP"
67 },
68 "maximumAmount": {
69 "amount": "1200.00",
70 "currency": "GBP"
71 }
72 },
73 "cbtCountries": [
74 {
75 "tradingCountryCode": "AU",
76 "cbtEnabled": true,
77 "cbtFee": "0.0125",
78 "effectiveFrom": "2023-07-20T19:18:50.272+00:00"
79 }
80 ]
81 }
82 ],
83 "errors": [
84 "string"
85 ]
86 }
87}
Returns details for all Afterpay products and their configurations by onboardingId.
Was this page helpful?
Previous

Enable or Disable Payment Method

Next
Built with

Path parameters

onboardingIdstringRequired
The ID returned during a successful Create an onboarding call.

Headers

User-AgentstringRequired
AcceptstringRequiredDefaults to application/json
Specifies media types that are acceptable for the response.

Response

Returns the capabilities configurations.
onboardingIdstring
The ID returned during a successful Create an onboarding call.
capabilitiesobject

Errors

404
Not Found Error
503
Service Unavailable Error